Bug 72878

Summary: Latex export filter does not work
Product: [Applications] calligrasheets Reporter: Pere Constans <constans>
Component: filtersAssignee: Ariya Hidayat <ariya>
Status: RESOLVED FIXED    
Severity: normal    
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: OpenSUSE   
OS: Linux   
Latest Commit: Version Fixed In:

Description Pere Constans 2004-01-18 07:29:55 UTC
Version:           1.2.95 (using KDE 3.1.5)
Installed from:    SuSE
Compiler:          gcc version 3.3 20030226 (prerelease) (SuSE Linux)
OS:          Linux (i686) release 2.4.20-4GB

While exporting a table to a tex document the numbers aren't exported. I've tried CVS version as well.

I  think this is a very nice feature. The idea is to work on the spreadsheet, eg chose desired # decimal figures, and then export as a very simple latex table. Latex packeges would then give any final form formatting/design.



This is also seen in a 2x2 test table:
QBitArray::clearBit: Index 2 out of range
QBitArray::clearBit: Index 2 out of range
QBitArray::clearBit: Index 2 out of range
koffice (lib store): WARNING: KoStore: You must open before closing
koffice (lib store): WARNING: KoStore: You must open before closing
Comment 1 Bram Schoenmakers 2005-04-18 13:03:15 UTC
I don't think the mentioned warnings have anything to do with the export process.
Comment 2 Halla Rempt 2005-10-18 15:01:30 UTC
No... But there indeed no numbers in an export I tested.
Comment 3 Marijn Kruisselbrink 2009-01-08 00:57:40 UTC
SVN commit 907393 by mkruisselbrink:

Not only export text but also export numbers when exporting to latex. This is still not perfect as calculated fields aren't exported properly yet, but at least a lot better. (and this export filter seems to be quite unmaintained...)
BUG: 72878


 M  +2 -2      cell.cc  


WebSVN link: http://websvn.kde.org/?view=rev&revision=907393